Skip to content
Ansible role that configures a host to be a target in a cyber range
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
defaults
files
handlers
lookup_plugins
meta
tasks
templates
tests
vars
.gitignore
README.md

README.md

cyber-range-target

This role endeavors to simplify building a host for a cyber range. This role is for assessment purposes only.

Note: This has the potential to render a host vulnerable. Use with care.

Requirements

Ansible 2.4

Role Variables

---
# defaults file for cyber-range-target
# Which CVE's should be tested on a host
cves_to_test: []
selinux_state: enforcing

Dependencies

There are no known dependencies.

Example Playbook

The following example playbook would ensure that Bash prone to shell shock is available on the host.

---
- hosts: webservers
  remote_user: admin
  become: true
  roles:
    - redteam-project.cyber-range-target
  vars:
    cves_to_test:
    - CVE-2014-6271

License

GPLv3

You can’t perform that action at this time.